<ng-container *transloco="let t; read: 'dialog_default'">
  <h2
    mat-dialog-title
    class="primary-title header-spacing">
    <ng-container *ngIf="data.title else elseTitle">{{data.title}}</ng-container>
    <ng-template #elseTitle>{{t('title')}}</ng-template>
  </h2>
  <mat-dialog-content class="mat-typography content-spacer dialog-content-text-color">
    <ng-container *ngIf="data.message else elseMsg">{{data.message}}</ng-container>
    <ng-template #elseMsg>{{t('message')}}</ng-template>
  </mat-dialog-content>
  <mat-divider></mat-divider>
  <mat-dialog-actions>
    <div class="button-container">
      <button
        mat-stroked-button
        class="round-button stroked-button-border-color"
        color="primary"
        cdkFocusInitial
        [mat-dialog-close]="false">
        <ng-container *ngIf="data.cancel else elseCancel">{{data.cancel}}</ng-container>
        <ng-template #elseCancel>{{t('cancel')}}</ng-template>
      </button>
      <button
        mat-flat-button
        class="round-button"
        color="warn"
        [mat-dialog-close]="true"
        type="submit">
        <ng-container *ngIf="data.confirm else elseConfirm">{{data.confirm}}</ng-container>
        <ng-template #elseConfirm>{{t('confirm')}}</ng-template>
      </button>
    </div>
  </mat-dialog-actions>
  {{data.confirm}}
</ng-container>
